BSON_VECTOR_PACKED_BIT_CONST_VIEW_UNPACK_BOOL(3)

Unpack a contiguous block of elements from a bson_vector_packed_bit_const_view_t <> into a C array of bool.

SYNOPSIS

            bool
            bson_vector_packed_bit_const_view_unpack_bool (bson_vector_packed_bit_const_view_t view,
                                                           bool *unpacked_values_out,
                                                           size_t element_count,
                                                           size_t vector_offset_elements);

PARAMETERS

    •   view: A valid bson_vector_packed_bit_const_view_t <>.

    •   unpacked_values_out: Location where the bool elements will be unpacked to.

    •   element_count: Number of elements to unpack.

    •   vector_offset_elements: The vector index of the first element to unpack.

DESCRIPTION

Elements are unpacked from individual bits into a C array of bool.

RETURNS

If the element_count and vector_offset_elements parameters overflow the bounds of the Vector, returns false without taking any other action. If the parameters are in range, this is guaranteed to succeed. On success, returns true and unpacks element_count elements into *unpacked_values_out.

See also:
        bson_vector_packed_bit_view_unpack_bool() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.